<?php

namespace FiloBlu\ActiveCampaign\Api\Data;

/**
 * Interface FieldsInterface
 * @package FiloBlu\ActiveCampaign\Api\Data
 */
interface FieldsInterface
{

    /**
     * CONST
     */
    const ID = 'id';
    const AC_ID = 'ac_id';
    const NAME = 'name';
    const DB_TABLE = 'filoblu_activecampaign_fields';
    const PRIMARY_KEY = 'id';

    /**
     * @return mixed
     */
    public function getId();

    /**
     * @param $id
     * @return mixed
     */
    public function setId($id);

    /**
     * @return mixed
     */
    public function getAcId();

    /**
     * @param $acId
     * @return mixed
     */
    public function setAcId($acId);

    /**
     * @return mixed
     */
    public function getName();

    /**
     * @param $name
     * @return mixed
     */
    public function setName($name);

}
